[Unstable Update] 2018-01-07 - Boost Rebuild, GCC

unstable
update

#1

Hi community,

this is more or less the boost rebuild. We also added some more fixes to gcc, which prevents issues with Spectre and Meltdown.

About our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.52
  • linux318 3.18.91 [EOL]
  • linux41 4.1.48
  • linux44 4.4.109
  • linux49 4.9.74
  • linux412 4.12.14 [EOL]
  • linux413 4.13.16 [EOL]
  • linux414 4.14.12
  • linux415 4.15-rc6
  • linux-RT-LTS 4.9.68_rt60
  • linux-RT 4.11.12_rt16

Package Updates (Sun Jan 7 11:12:05 CET 2018)

:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                   command-not-found              0.6.1-2              0.6.2-1
                      compiz-manjaro     0.9.13.1.r4138-3     0.9.13.1.r4138-4
                         vlc-nightly     3.0.0v20171227-1     3.0.0v20180106-1
                   vlc-nightly-debug     3.0.0v20171227-1     3.0.0v20180106-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                                 0ad                a22-3                a22-4
                      acpi_call-dkms             1.1.0-92             1.1.0-93
                             aegisub             3.2.2-24             3.2.2-25
                               amule              10990-3              10990-4
                              arpack              3.5.0-1              3.5.0-2
                         bitcoin-cli             0.15.1-2             0.15.1-3
                      bitcoin-daemon             0.15.1-2             0.15.1-3
                          bitcoin-qt             0.15.1-2             0.15.1-3
                          bitcoin-tx             0.15.1-2             0.15.1-3
                             blender            17:2.79-7            17:2.79-8
                                btfs               2.18-1               2.18-2
                              cclive             0.9.3-15             0.9.3-16
                                ceph             12.2.2-1             12.2.2-3
                           ceph-libs             12.2.2-1             12.2.2-3
                                cgal               4.11-1               4.11-2
                      cryptominisat5              5.0.1-3              5.0.1-4
                               dunst              1.2.0-1              1.3.0-1
                          easystroke             0.6.0-16             0.6.0-17
                              eslint             4.14.0-1             4.15.0-1
                              facter              3.9.3-1              3.9.3-2
                             freecad          0.16.6712-3          0.16.6712-4
                            freetalk                4.1-4                    -
                             freewrl          1:2.3.3.1-1                    -
                            frogatto             1.3.1-24             1.3.1-25
                                 gap              4.8.9-1              4.8.9-2
                            gap-data              4.8.9-1              4.8.9-2
                             gap-doc              4.8.9-1              4.8.9-2
                        gap-packages              4.8.9-1              4.8.9-2
                            gearmand             1.1.18-1             1.1.18-2
                             gimmage              0.2.3-7                    -
                              girara              0.2.8-2              0.2.8-3
                              gl-117              1.3.2-8                    -
                               glob2           0.9.4.4-33           0.9.4.4-34
                                glom             1.31.6-4             1.31.6-5
                            gnuradio             3.7.11-4             3.7.11-5
                  gnuradio-companion             3.7.11-4             3.7.11-5
                 gnuradio-fcdproplus             3.7.5-10             3.7.5-11
                      gnuradio-iqbal            0.37.2-26            0.37.2-27
                    gnuradio-osmosdr             0.1.4-24             0.1.4-25
                             go-ipfs             0.4.13-1             0.4.13-2
                            goaccess                1.2-1                1.2-2
                              gource               0.47-2               0.47-3
           gpointing-device-settings              1.5.1-5                    -
                                  gq              1.3.4-8                    -
                                gqrx                2.9-1                2.9-2
                               grace             5.1.25-6                    -
                           gshutdown                0.2-5                    -
                          gtk2_prefs              0.4.1-5                    -
                           guitarix2             0.36.1-1             0.36.1-2
                            hashcash               1.22-5                    -
                       haskell-brick               0.30-4             0.32.1-1
                  haskell-config-ini            0.2.1.1-4            0.2.1.1-5
                 haskell-hledger-lib                1.5-1                1.5-2
                       haskell-hspec              2.4.4-7              2.4.6-1
                  haskell-hspec-core              2.4.4-7              2.4.6-1
              haskell-hspec-discover              2.4.4-4              2.4.6-1
            haskell-hspec-smallcheck             0.4.2-19             0.4.2-20
                   haskell-hspec-wai              0.9.0-6              0.9.0-7
              haskell-hspec-wai-json              0.9.0-7              0.9.0-8
                  haskell-megaparsec              6.3.0-2              6.4.0-1
          haskell-parser-combinators              0.2.1-1              0.4.0-1
             haskell-servant-swagger             1.1.4-11             1.1.4-12
                       haskell-store           0.4.3.2-25           0.4.3.2-26
                  haskell-yesod-test            1.5.9.1-2            1.5.9.1-3
                        hdf5-openmpi             1.10.1-1             1.10.1-2
                           heaptrack              1.0.0-2              1.0.0-3
                           hex-a-hop              1.1.0-5                    -
                             hledger                1.5-1                1.5-2
                         hledger-api                1.5-1                1.5-3
                          hledger-ui                1.5-1                1.5-3
                         hledger-web                1.5-2                1.5-3
                                  ht              2.1.0-5                    -
                               hugin           2017.0.0-4           2017.0.0-5
                             ico2xpm                1.3-2                    -
                                 id3               0.80-1                    -
                         innoextract                1.6-1                1.6-2
                             instead              3.1.2-1                    -
                    instead-launcher              0.7.0-1                    -
                         isapnptools               1.27-5                    -
                          ivtv-utils              1.4.1-7                    -
                                john       1.8.0.jumbo1-9      1.8.0.jumbo1-10
                                judy              1.0.5-4                    -
                                 kea              1.3.0-1              1.3.0-3
                               kicad              4.0.7-2              4.0.7-3
                                kodi               17.6-2               17.6-3
                            kodi-dev               17.6-2               17.6-3
                   kodi-eventclients               17.6-2               17.6-3
            kodi-tools-texturepacker               17.6-2               17.6-3
                          latte-dock              0.7.2-1              0.7.3-1
                                lcab             1.0b12-5                    -
                                 ldc            1:1.6.0-2            1:1.7.0-1
                          leatherman              1.3.0-1              1.3.0-2
                              libasl              0.1.7-8              0.1.7-9
                          liblphobos            1:1.6.0-2            1:1.7.0-1
                             librime            1:1.2.9-6            1:1.2.9-7
                              libuhd           3.10.2.0-2           3.10.2.0-3
                             libvolk                1.3-6                1.3-7
                             linssid                2.9-2                2.9-3
                    linuxtv-dvb-apps               1504-1                    -
                              lomoco               1.0-11                    -
                            lucene++             3.0.7-11             3.0.7-12
                        luminancehdr              2.5.1-5              2.5.1-6
                             luxmark                3.1-4                    -
                             luxrays               1.6-12               1.6-13
                           luxrender                1.6-9               1.6-10
                                 lwp                2.6-3                    -
                              mapnik             3.0.17-1             3.0.17-2
                      matrix-synapse             0.25.1-1             0.26.0-1
                             mimetex               1.70-4                    -
                              miredo              1.2.6-4                    -
                             mod_itk          2.4.7.r04-1                    -
                             mongodb              3.6.1-1              3.6.1-2
                              motion              4.1.1-1                    -
                             mp3gain              1.5.2-3                    -
                                mpck               0.21-1                    -
                                mrtg             2.17.4-2                    -
                         mupen64plus                2.5-9               2.5-10
                             ncmpcpp              0.8.1-2              0.8.1-3
                               neatx             0.3.1-15                    -
                             nemesis                1.4-6                    -
                                net6             1.3.14-5                    -
                           netselect                0.3-3                    -
                            normaliz              3.5.0-1              3.5.1-1
                           normalize              0.7.7-7                    -
                              obexfs               0.12-4                    -
                             obexftp              0.24-12                    -
                                ogre            1.10.11-1            1.10.11-2
                           ogre-docs            1.10.11-1            1.10.11-2
                         openimageio             1.7.17-1             1.7.17-2
                              openmw             0.43.0-1             0.43.0-2
                            openobex              1.7.2-3                    -
                            openscad        2015.03.03-13        2015.03.03-14
                 openshadinglanguage              1.7.6-2              1.7.6-3
                             openvdb              4.0.2-2              4.0.2-4
                             pamixer              1.3.1-7              1.3.1-8
             parallel-netcdf-openmpi              1.8.1-4              1.9.0-1
                          performous               1.1-12               1.1-13
                              pingus             0.7.6-22             0.7.6-23
                             pkgconf             1.3.90-1              1.4.0-1
                              poedit            1:2.0.5-1            1:2.0.5-2
                              povray          2:3.7.0.4-2          2:3.7.0.4-3
                            powerdns              4.0.5-2              4.0.5-3
                   powerdns-recursor              4.0.7-2              4.0.7-3
                           pulseview              0.4.0-2              0.4.0-3
                      pycuda-headers           2017.1.1-4           2017.1.1-5
                    python-construct             2.8.17-1             2.8.20-1
                   python-hypothesis             3.44.9-1            3.44.11-1
                       python-mpi4py              3.0.0-1              3.0.0-2
                      python-msgpack              0.4.8-2              0.5.0-1
                  python-pycontracts              1.8.0-1              1.8.2-1
                       python-pycuda           2017.1.1-4           2017.1.1-5
                   python2-construct             2.8.17-1             2.8.20-1
                       python2-exiv2             0.3.2-16             0.3.2-17
                  python2-hypothesis             3.44.9-1            3.44.11-1
                      python2-mpi4py              3.0.0-1              3.0.0-2
                     python2-msgpack              0.4.8-2              0.5.0-1
                 python2-pycontracts              1.8.0-1              1.8.2-1
                      python2-pycuda           2017.1.1-4           2017.1.1-5
                       python2-tagpy            2013.1-12            2013.1-13
                      python2-xapian            1:1.4.4-1            1:1.4.5-1
                         qbittorrent              4.0.3-1              4.0.3-2
                     qbittorrent-nox              4.0.3-1              4.0.3-2
                                quvi              0.9.5-1                    -
                           rakarrack              0.6.1-3                    -
                     ring-daemon 2:20171215.1.bc414d7-2 2:20171215.1.bc414d7-3
                             ripperx              2.8.0-2                    -
                            rubinius               3.89-1               3.90-1
                       rubinius-ruby               3.89-1               3.90-1
                             schroot            1.6.10-17            1.6.10-18
                              scrapy              1.4.0-1              1.5.0-1
                             snapper              0.5.0-3              0.5.0-4
                              spring              104.0-1              104.0-2
                         springlobby              0.262-1              0.260-2
                               stack             1.6.3-12             1.6.3-13
                       supercollider              3.8.0-3              3.8.0-4
                              synfig              1.2.1-2              1.2.1-3
            vapoursynth-plugin-f3kdb              2.0.0-1                    -
                               vigra             1.11.1-3             1.11.1-4
                           vigra-doc             1.11.1-3             1.11.1-4
                                 vtk              8.0.1-3              8.0.1-4
                                vtk6              6.3.0-9             6.3.0-10
                               w3cam             0.7.2-11                    -
                             wesnoth             1.12.6-7             1.12.6-8
                           widelands                 19-9                19-10
                                  wt              4.0.2-1              4.0.2-2
                               zcash             1.0.13-1             1.0.13-2
                  haskell-hspec-meta                    -              2.4.4-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                            binutils             2.29.1-1             2.29.1-2
                                 gcc              7.2.1-2     7.2.1+20171224-1
                             gcc-ada              7.2.1-2     7.2.1+20171224-1
                         gcc-fortran              7.2.1-2     7.2.1+20171224-1
                              gcc-go              7.2.1-2     7.2.1+20171224-1
                            gcc-libs              7.2.1-2     7.2.1+20171224-1
                            gcc-objc              7.2.1-2     7.2.1+20171224-1
                               glibc               2.26-8              2.26-10
                      lib32-gcc-libs              7.2.1-2     7.2.1+20171224-1
                         lib32-glibc               2.26-8              2.26-10
                   linux-api-headers             4.12.7-1             4.14.8-1
                                zstd              1.3.2-1              1.3.3-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                           calamares             3.1.12-1             3.1.12-2
                 calamares-git 3.2.0.r4279.c857568b7-1 3.2.0.r4279.c857568b7-2


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                               boost             1.65.1-2             1.66.0-1
                          boost-libs             1.65.1-2             1.66.0-1
                            chromium      63.0.3239.132-1      63.0.3239.132-2
                               cmake             3.10.1-1             3.10.1-2
                               ekiga             4.0.1-27             4.0.1-28
                         imagemagick           7.0.7.19-1           7.0.7.21-1
                     imagemagick-doc           7.0.7.19-1           7.0.7.21-1
                        imagemagick6           6.9.9.31-1           6.9.9.33-1
                                 kig            17.12.0-1            17.12.0-2
                               krita            3.3.2.1-1            3.3.2.1-2
                              libabw              0.1.1-2              0.1.2-1
                       libatomic_ops              7.4.8-1              7.6.2-1
                             libcmis              0.5.1-7              0.5.1-8
                           libe-book              0.1.2-8              0.1.3-1
                            libixion             0.12.2-3             0.12.2-4
                         libkolabxml              1.1.6-6              1.1.6-7
                           libmagick           7.0.7.19-1           7.0.7.21-1
                          libmagick6           6.9.9.31-1           6.9.9.33-1
                            libmspub              0.1.2-8              0.1.3-1
                            liborcus             0.12.1-3             0.12.1-4
                      libphonenumber              8.8.8-1              8.8.8-2
                              libpst             0.6.71-1             0.6.71-2
                         libpst-docs             0.6.71-1             0.6.71-2
                libtorrent-rasterbar            1:1.1.5-1            1:1.1.6-1
                                licq             1.8.2-18             1.8.2-19
                                 lyx              2.2.3-5              2.2.3-6
                      mkvtoolnix-cli             19.0.0-1             19.0.0-2
                      mkvtoolnix-gui             19.0.0-1             19.0.0-2
                             openmpi              2.1.1-2              3.0.0-1
                            protobuf            3.5.0.1-1            3.5.1.1-1
                     python-protobuf            3.5.0.1-1            3.5.1.1-1
                    python2-protobuf            3.5.0.1-1            3.5.1.1-1
                    source-highlight             3.1.8-13             3.1.8-14
                            valgrind             3.13.0-4             3.13.0-6
                         xapian-core            1:1.4.4-1            1:1.4.5-1


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


#2

libglvnd update to 1.0.0-1, which was previously held back due to nvidia incompatibilities, is now working with the recently updated LTS nvidia 384.11 driver.


#3

Validating source files with md5sums…
ncurses-6.0-20170902.tgz … Passed
ncurses-6.0-20170902.tgz.asc … Skipped
==> Verifying source file signatures with gpg…
ncurses-6.0-20170902.tgz … FAILED
==> ERROR: One or more PGP signatures could not be verified!

how resolve this thanks

Kernel: 4.9.74-2-MANJARO x86_64 bits: 64 Desktop: Gnome 3.26.2


#4

why do you try to build this package when there is a binary already?


#5

it is an update of pamac


#6

It seems some AUR thingy. Is that enabled on your end? Please check which ncurses you have installed.


#7

cgames 2.2-6


#8

i removed cgames but same problem


#9

ncurses 6.0+20170902-3

wavemon 0.8.1-1


#10

Building ncurses5-compat-libs…
Cloning into ‘ncurses5-compat-libs’…
remote: Counting objects: 52, done.
remote: Compressing objects: 100% (48/48), done.
remote: Total 52 (delta 19), reused 25 (delta 2)
Unpacking objects: 100% (52/52), done.
==> Making package: ncurses5-compat-libs 6.0+20170902-1 (Sun Jan 7 20:51:39 CET 2018)
==> Checking runtime dependencies…
==> Checking buildtime dependencies…
==> Retrieving sources…
-> Downloading ncurses-6.0-20170902.tgz…
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 3244k 100 3244k 0 0 249k 0 0:00:13 0:00:13 --:–:-- 233k
-> Downloading ncurses-6.0-20170902.tgz.asc…
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 267 100 267 0 0 267 0 0:00:01 --:–:-- 0:00:01 558
==> Validating source files with md5sums…
ncurses-6.0-20170902.tgz … Passed
ncurses-6.0-20170902.tgz.asc … Skipped
==> Verifying source file signatures with gpg…
ncurses-6.0-20170902.tgz … FAILED
==> ERROR: One or more PGP signatures could not be verified


#11

@rydhwan: you have to import the gpg key with gpg --recv-keys <wanted key> and then it should work. Else add the following repo:

[bpiotrowski]
Server = https://pkgbuild.com/~bpiotrowski/repo

#12

?

add the following repo: how ?

thanks


#13

gpg --recv-keys C52048C0C0748FEE227D47A2702353E0F7E48EDB should do it …


#14

gpg --recv-keys C52048C0C0748FEE227D47A2702353E0F7E48EDB
gpg: key 702353E0F7E48EDB: 142 signatures not checked due to missing keys
gpg: key 702353E0F7E48EDB: “Thomas Dickey dickey@invisible-island.net” not changed
gpg: Total number processed: 1
gpg: unchanged: 1

same prob


#15

how ?


#16

Well, it would be best to get it together. You may install it with:

sudo pacman -U https://pkgbuild.com/~bpiotrowski/repo/ncurses5-compat-libs-6.0%2B20170902-1-x86_64.pkg.tar.xz


#17

solved thanks

you are the best:heart_eyes:


#18

Sddm update again resets its config for me.


#19

This will happen on every update of sddm when you still use /etc/sddm.conf. See also #FS56609. Didn’t manjaro-system kick in to fix it for you automatically?


#20

I don’t use /etc/sddm.conf . I use /usr/lib/sddm/sddm.conf.d since that changed in arch. I have error after manjaro-system updates, then i have to refresh databases to continue updating.